<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_category
 * @author		web-eau.net
 * @copyright   (C) 2010 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\Language\Text;

if (!$list)
{
	return;
}

?>

<section class="our-team padding-lg">
	<div class="container">
		
		<div class="row text-center heading heading-icon">
			<h2>Staff section</h2>
		</div>
		
  		<hr class="pb-2">
		
		<div class="row category-module<?php echo $moduleclass_sfx; ?>">
			<?php foreach ($list as $item) : ?>
			
			<div class="col-12 col-md-6 col-lg-3">
				<div class="cnt-block equal-hight h-100">	
				
					<!-- Image intro -->
					<?php
						$article_images  = json_decode($item->images);
						$article_image   = '';
						$article_image_alt   = '';
						if(isset($article_images->image_intro) && !empty($article_images->image_intro)) {
							$article_image  = $article_images->image_intro;
							$article_image_alt  = $article_images->image_intro_alt;
						}?> 				
						<img class="img-fluid" src="<?php echo $article_image; ?>" alt="<?php echo $article_image_alt; ?>">
						
						<!-- Article title -->
						<?php if ($params->get('link_titles') == 1) : ?>
						<h3><a class="pt-3 mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a></h3>
						<?php else : ?>
						<h3><?php echo $item->title; ?></h3>
						<?php endif; ?>
						
						<hr />
						
						<h5><small><?php echo $article_image_alt; ?></small></h5>
						
						<!-- Social media -->
						<?php $item->urls = new JRegistry($item->urls); ?>
						<div class="d-flex justify-content-evenly">	
							<div class=""><a href="<?php echo $item->urls->get('urlatext'); ?>" target="_blank"><i class="fab fa-facebook"></i></a></div>
							<div class=""><a href="<?php echo $item->urls->get('urlbtext'); ?>" target="_blank"><i class="fab fa-twitter"></i></a></div>
							<div class=""><a href="<?php echo $item->urls->get('urlctext'); ?>" target="_blank"><i class="fab fa-linkedin"></i></a></div>
						</div>
				</div>			
			</div>
			<?php endforeach; ?>
		</div>
	</div>
</section>